#include "MQWidget.h"
#include "CMQObject.h"

#ifndef _UIWindowDefine
#define _UIWindowDefine

class ObjectListReorder;

class ObjectListReorderWindow : public MQWindow
{
public:
	ObjectListReorderWindow(ObjectListReorder *plugin, MQWindowBase& parent);
	~ObjectListReorderWindow();

	ObjectListReorder *m_pPlugin;
private:
	BOOL insert(MQWidgetBase *sender, MQDocument doc);
	BOOL up(MQWidgetBase *sender, MQDocument doc);
	BOOL down(MQWidgetBase *sender, MQDocument doc);
	BOOL top(MQWidgetBase *sender, MQDocument doc);
	BOOL bottom(MQWidgetBase *sender, MQDocument doc);
	BOOL gather(MQWidgetBase *sender, MQDocument doc);

	BOOL OnHide(MQWidgetBase *sender, MQDocument doc);
	BOOL keyevent(MQWidgetBase *sender, MQDocument doc, MQWidgetKeyParam& param);

	cmq::CMQObject obj_;
	MQMemo *memo1;
	MQMemo *memo2;
	MQMemo *memo3;
	int count;
};

#endif
